Bug 1720011 (CVE-2019-11706) - CVE-2019-11706 libical: Type confusion in icaltimezone_get_vtimezone_properties function in icalproperty.c
Summary: CVE-2019-11706 libical: Type confusion in icaltimezone_get_vtimezone_properti...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11706
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1720056 1720424 1720053 1720054 1720055 1720057
Blocks: 1720012
TreeView+ depends on / blocked
 
Reported: 2019-06-12 22:29 UTC by Pedro Sampaio
Modified: 2019-09-29 15:15 UTC (History)
16 users (show)

Fixed In Version: Thunderbird 60.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:07:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1623 None None None 2019-06-27 09:18:45 UTC
Red Hat Product Errata RHSA-2019:1624 None None None 2019-06-27 10:12:31 UTC
Red Hat Product Errata RHSA-2019:1626 None None None 2019-06-27 10:15:04 UTC

Description Pedro Sampaio 2019-06-12 22:29:37 UTC
A flaw was found in Mozilla Thunderbird. A type confusion in icaltimezone_get_vtimezone_properties in icalproperty.c might lead to process crash and potentially others consequences.

References:

https://bugzilla.mozilla.org/show_bug.cgi?id=1555646

Comment 6 Milan Crha 2019-06-13 08:38:18 UTC
Is this for Thunderbird only, or the libical package is also affected? I would verify that myself, but I do not have access to any related bug report mentioned here, neither to the upstream Mozilla bug.

Comment 7 Doran Moppert 2019-06-14 00:47:00 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-17/

Comment 8 Doran Moppert 2019-06-14 00:47:02 UTC
Mitigation:

Thunderbird can be configured to use icaljs instead of libical by setting `calendar.icaljs = true` in preferences, mitigating this vulnerability.

Comment 9 Doran Moppert 2019-06-14 00:52:26 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1720424]

Comment 10 Marian Rehak 2019-06-14 11:53:19 UTC
References:

https://www.openwall.com/lists/oss-security/2019/06/13/4

Comment 11 Doran Moppert 2019-06-27 03:43:49 UTC
The type confusion described in this bug doesn't seem to be possible upstream for a very long time:  at least since 0.43, properties have had a type tag which is checked before returning a value that could be misinterpreted.  That type tag is not present in the Thunderbird downstream fork, so confusion is possible.

Comment 12 errata-xmlrpc 2019-06-27 09:18:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1623 https://access.redhat.com/errata/RHSA-2019:1623

Comment 13 errata-xmlrpc 2019-06-27 10:12:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1624 https://access.redhat.com/errata/RHSA-2019:1624

Comment 14 errata-xmlrpc 2019-06-27 10:15:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1626 https://access.redhat.com/errata/RHSA-2019:1626

Comment 15 Product Security DevOps Team 2019-07-12 13:07:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11706


Note You need to log in before you can comment on or make changes to this bug.